<div class="wrapper">
    <div class="block-center col-md-4">
        <!-- START card-->
        <div class="card card-flat">
            <!--<div class="card-header text-center bg-dark">-->
                <!--<a href="#">-->
                    <!--<img class="block-center rounded" src="assets/img/logo.png" alt="Image" />-->
                <!--</a>-->
            <!--</div>-->
            <div class="card-body">
                <h2 class="text-center py-2 title">Log in to continue</h2>
                <form [formGroup]="valForm" class="form-validate mb-3" role="form" name="loginForm" novalidate="" (submit)="submitForm($event, valForm.value)">
                    <div class="form-group">
                        <div class="input-group with-focus">
                            <input class="form-control form-control-lg border-right-0" id="exampleInputEmail1" type="email" name="email" placeholder="Enter email" autocomplete="off" formControlName="email" required="" />
                            <div class="input-group-append">
                                <span class="input-group-text fa fa-envelope bg-transparent border-left-0"></span>
                            </div>
                        </div>
                        <div class="text-danger small" *ngIf="(valForm.controls['email'].hasError('required') && (valForm.controls['email'].dirty || valForm.controls['email'].touched))">This field is required</div>
                        <div class="text-danger small" *ngIf="(valForm.controls['email'].hasError('email') && (valForm.controls['email'].dirty || valForm.controls['email'].touched))">This field must be a valid email address</div>
                        <div class="text-danger small" *ngIf="logError">{{errorMsg}}</div>
                    </div>
                    <div class="form-group">
                        <div class="input-group with-focus">
                            <input class="form-control form-control-lg border-right-0" id="exampleInputPassword1" type="password" name="password" placeholder="Password" formControlName="password" required="" />
                            <div class="input-group-append">
                                <span class="input-group-text fa fa-lock bg-transparent border-left-0"></span>
                            </div>
                        </div>
                        <div class="text-danger small" *ngIf="valForm.controls['password'].hasError('required') && (valForm.controls['password'].dirty || valForm.controls['password'].touched)">This field is required</div>
                    </div>
                    <div class="clearfix">
                        <div class="checkbox c-checkbox float-left mt0">
                            <label>
                                <input type="checkbox" value="" name="account_remember" />
                                <span class="fa fa-check"></span>Remember Me</label>
                        </div>
                        <div class="float-right">
                            <a class="text-muted" [routerLink]="'/recover'">Forgot your password?</a>
                        </div>
                    </div>
                    <button class="btn btn-lg btn-block btn-primary mt-3" type="submit">Login</button>
                </form>
                <!-- <div class="alert alert-danger text-center" ></div> -->
                <p class="pt-3 margin-top text-center">Need an Account?</p>
                <a class="btn btn-lg btn-block btn-secondary" [routerLink]="'/register'">Register Now</a>
            </div>
        </div>
        <!-- END card-->
        <!-- <div class="p-3 text-center">
            <span>&copy;</span>
            <span>{{ settings.app.year }}</span>
            <span class="mx-2">-</span>
            <span>{{ settings.app.name }}</span>
            <br/>
            <span>{{ settings.app.description }}</span>
        </div> -->
    </div>
</div>
